<?php

namespace Cursed\Screen\Component;

use Cursed\Screen\Renderable;
use Cursed\Screen\Screen;


class MenuItem
{
    public function __construct(
        public ?string $label = null,
        public ?string $hotkey = null,
        public bool $checkable = false,
        public bool $menu = false,
        public $isChecked = null,
        public bool $checked = false,
        public bool $dismiss = false,
        public bool $separator = false,
        public ?string $command = null,
        public $callback = null,
    )
    {
        
    }
}
